import { EqContext, EqBroker, Widget } from '@easyquery/core'

import { AdvancedSearchView } from '@easyquery/ui'

import { EqServerBroker } from '@easyquery/broker-eqs'

import { JQueryColumnsPanelWidget } from '../widgets/jquery_columns_panel_widget'
import { JQueryQueryPanelWidget } from '../widgets/jquery_query_panel_widget'
import { JQueryEntitiesPanelWidget } from '../widgets/jquery_entities_panel_widget';


export class AdvancedSearchViewJQuery extends AdvancedSearchView {
    constructor() {
        super();
    }        

    protected createDefaultBroker(context: EqContext) : EqBroker {
        return new EqServerBroker(context);
    }

    protected createEntitiesPanelWidget(placeholderElement : HTMLElement): Widget {
        return new JQueryEntitiesPanelWidget(placeholderElement);
    }

    protected createColumnsPanelWidget(placeholderElement : HTMLElement) : Widget {
        return new JQueryColumnsPanelWidget(placeholderElement);
    }

    protected createQueryPanelWidget(placeholderElement : HTMLElement) : Widget {
        return new JQueryQueryPanelWidget(placeholderElement);
    }

}
