import { EqContext, EqBroker, Widget } from '@easyquery/core'

import { ReportView } from '@easyquery/ui'

import { EqServerBroker } from '@easyquery/broker-eqs'

import { JQueryColumnsBarWidget } from '../widgets/jquery_columns_bar_widget'
import { JQueryQueryPanelWidget } from '../widgets/jquery_query_panel_widget'


export class ReportViewJQuery extends ReportView {
    constructor() {
        super();
    }        

    protected createDefaultBroker(context: EqContext) : EqBroker {
        return new EqServerBroker(context);
    }

    protected createColumnsBarWidget(placeholderElement : HTMLElement) : Widget {
        return new JQueryColumnsBarWidget(placeholderElement);
    }

    protected createQueryPanelWidget(placeholderElement : HTMLElement) : Widget {
        return new JQueryQueryPanelWidget(placeholderElement);
    }

}
